# XQilla Simple API Documentation

# ExternalFunctionResolver Class Reference

`#include <ExternalFunctionResolver.hpp>`

List of all members.

## Public Member Functions

virtual | ~ExternalFunctionResolver ()
virtual ExternalFunction * | resolveExternalFunction (const XMLCh *uri, const XMLCh *name, size_t numArgs, const StaticContext *context)=0
| Returns an new ExternalFunction object for the given uri, name and number of arguments.

## Constructor & Destructor Documentation

virtual ExternalFunctionResolver::~ExternalFunctionResolver | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ExternalFunction* ExternalFunctionResolver::resolveExternalFunction | ( | const XMLCh * | uri,
|  | const XMLCh * | name,
|  | size_t | numArgs,
|  | const StaticContext * | context |
| ) |  |  | `[pure virtual]`

Returns an new ExternalFunction object for the given uri, name and number of arguments.

The caller is reponsible for deleting the ExternalFunction returned.

The documentation for this class was generated from the following file:

- ExternalFunctionResolver.hpp